package com.zhyc.module.produce.breed.service;

import java.util.List;
import java.util.Map;
import com.zhyc.module.produce.breed.domain.ScMiscarriageRecord;

/**
 * 流产记录Service接口
 *
 * @author ruoyi
 * @date 2025-08-23
 */
public interface IScMiscarriageRecordService
{
    /**
     * 查询流产记录
     *
     * @param id 流产记录主键
     * @return 流产记录
     */
    public ScMiscarriageRecord selectScMiscarriageRecordById(Long id);

    /**
     * 查询流产记录列表
     *
     * @param scMiscarriageRecord 流产记录
     * @return 流产记录集合
     */
    public List<ScMiscarriageRecord> selectScMiscarriageRecordList(ScMiscarriageRecord scMiscarriageRecord);

    /**
     * 新增流产记录
     *
     * @param scMiscarriageRecord 流产记录
     * @return 结果
     */
    public int insertScMiscarriageRecord(ScMiscarriageRecord scMiscarriageRecord);

    /**
     * 修改流产记录
     *
     * @param scMiscarriageRecord 流产记录
     * @return 结果
     */
    public int updateScMiscarriageRecord(ScMiscarriageRecord scMiscarriageRecord);

    /**
     * 批量删除流产记录
     *
     * @param ids 需要删除的流产记录主键集合
     * @return 结果
     */
    public int deleteScMiscarriageRecordByIds(Long[] ids);

    /**
     * 删除流产记录信息
     *
     * @param id 流产记录主键
     * @return 结果
     */
    public int deleteScMiscarriageRecordById(Long id);

    /**
     * 根据耳号查询羊只信息
     *
     * @param manageTags 管理耳号
     * @return 羊只信息
     */
    public Map<String, Object> selectSheepByManageTags(String manageTags);
    /**
     * 模糊查询母羊耳号列表
     *
     * @param query 查询关键字
     * @return 耳号列表
     */
    public List<String> searchEarNumbers(String query);
}